
Foreman - Refactor #28363

get rid of title_and_lookup_key_length validation in NestedAncestryCommon

11/26/2019 02:52 PM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Shira Maximov   

Category: Parameters   

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7506

  

Description

This was introduced due to an issue with maximum length of mysql indexes. With MySQL support dropped, we can change the

matcher field to text and drop this validation.

Related issues:

Related to Foreman - Feature #27035: Drop support for MySQL for both developm... Closed

Associated revisions

Revision edcb23e2 - 03/16/2020 02:25 PM - Shira Maximov

Fixes #28363 - Drop lookup key matcher length limit

History

#1 - 11/26/2019 02:52 PM - Tomer Brisker

- Related to Feature #27035: Drop support for MySQL for both development and production environments added

#2 - 03/11/2020 01:54 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Shira Maximov

- Pull request https://github.com/theforeman/foreman/pull/7506 added

#3 - 03/16/2020 02:25 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#4 - 03/16/2020 03:01 PM - Shira Maximov

- Status changed from Ready For Testing to Closed

Applied in changeset edcb23e247e06a5ac093ea56df8b748d1ef8a0e1.
